ATA_PLATFORM_REMOVE_(9)

NAME
ata_platform_remove_one - Platform layer callback for device removal

SYNOPSIS

int ata_platform_remove_one(struct platform_device * pdev);

ARGUMENTS

pdev
    Platform device that was removed

DESCRIPTION

Platform layer indicates to libata via this hook that hot-unplug or module unload event has occurred. Detach all ports. Resource release is handled via devres.

LOCKING

Inherited from platform layer (may sleep).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT